Index: drivers/scsi/st_options.h
===================================================================
--- drivers/scsi/st_options.h	(.../trunk/cernlinux)	(revision 17)
+++ drivers/scsi/st_options.h	(.../branches/cernlinux/tape_buffer_kbs)	(revision 17)
@@ -31,7 +31,12 @@
 #define ST_DEFAULT_BLOCK 0
 
 /* The tape driver buffer size in kilobytes. Must be non-zero. */
-#define ST_BUFFER_BLOCKS 32
+/* 32K->256K to better support STK drives.  Fewer buffers would result in
+ * dynamic buffer allocation which indeed triggers scatter-gather and
+ * probably this is Not Good(tm) for STK.
+ * NOTE: functionality available as module option: buffer_kbs=256
+ * Originally by Fabien Collin. */
+#define ST_BUFFER_BLOCKS 256
 
 /* The maximum number of tape buffers the driver tries to allocate at 
    driver initialisation. The number is also constrained by the number
